/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-16 17:49:05.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.service;

import cn.com.qmth.examcloud.app.model.Result;
import cn.com.qmth.examcloud.app.utils.HttpUtils;
import okhttp3.Request;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import static cn.com.qmth.examcloud.app.model.Constants.PARAM_KEY;
import static cn.com.qmth.examcloud.app.model.Constants.PARAM_TOKEN;

/**
 * 考务业务服务接口
 */
@Service
public class ExamAdminService {
    private static Logger log = LoggerFactory.getLogger(ExamAdminService.class);
    @Autowired
    private PropertyService propertyService;

    public Result getPracticeExamList(String key, String token, String studentId) throws Exception {
        final String requestUrl = String.format(propertyService.getUserAuthUrl() + "/api/ecs_core/user/password?userId=%s", studentId);
        //封装请求参数
        Request request = new Request.Builder()
                .url(requestUrl)
                .get()
                .addHeader(PARAM_KEY, key)
                .addHeader(PARAM_TOKEN, token)
                .build();
        //执行请求
        return HttpUtils.call(request);
    }

    public Result getExamInfo(String key, String token, Long examId) throws Exception {
        return null;
    }

}