/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-16 17:49:59.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.service;

import cn.com.qmth.examcloud.app.model.Result;
import cn.com.qmth.examcloud.app.utils.DateUtils;
import cn.com.qmth.examcloud.app.utils.HttpUtils;
import okhttp3.Request;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.io.File;

import static cn.com.qmth.examcloud.app.model.Constants.PARAM_KEY;
import static cn.com.qmth.examcloud.app.model.Constants.PARAM_TOKEN;

/**
 * 网考业务服务接口
 */
@Service
public class NetExamService {
    private static Logger log = LoggerFactory.getLogger(NetExamService.class);
    @Autowired
    private PropertyService propertyService;

    public Result getCurrentTime(String key, String token) throws Exception {
        final String requestUrl = propertyService.getNetExamUrl() + "/api/online_exam_course/currentTime";
        //封装请求参数
        Request request = new Request.Builder()
                .url(requestUrl)
                .get()
                .addHeader(PARAM_KEY, key)
                .addHeader(PARAM_TOKEN, token)
                .build();
        //执行请求
        Result<String> result = HttpUtils.call(request);
        if (result.isSuccess()) {
            //转换日期格式
            result.setData(DateUtils.format(result.getData()));
        }
        return result;
    }

    public Result getOfflineExamCourseList(String key, String token) throws Exception {
        return null;
    }

    public Result startOfflineExamRecord(String key, String token, String examStudentId) throws Exception {
        return null;
    }

    public Result uploadPaperAnswer(String key, String token, String examRecordId, File file, String fileType, String fileMd5) throws Exception {
        return null;
    }

    public Result getPracticeExamCourseList(String key, String token, String examId) throws Exception {
        return null;
    }

    public Result getExamRecordHeartbeat(String key, String token, String examRecordId) throws Exception {
        return null;
    }

    public Result startPracticeExamRecord(String key, String token, String examStudentId) throws Exception {
        return null;
    }

    public Result getExamRecordPaperStructList(String key, String token, String examRecordId) throws Exception {
        return null;
    }

    public Result getExamRecordPaperQuestionList(String key, String token, String examRecordId) throws Exception {
        return null;
    }

    public Result getExamRecordPaperQuestionDetail(String key, String token, String questionId) throws Exception {
        return null;
    }

    public Result updateExamRecordPaperQuestionAnswer(String key, String token, String examQuestionId, String studentAnswer) throws Exception {
        return null;
    }

    public Result submitPracticeExamRecord(String key, String token, String examRecordId) throws Exception {
        return null;
    }

    public Result checkOnlineExamRecord(String key, String token) throws Exception {
        return null;
    }

    public Result getExamRecordPracticeTotalInfo(String key, String token, String examStudentId) throws Exception {
        return null;
    }

    public Result getExamRecordPracticeHistoryList(String key, String token, String examStudentId) throws Exception {
        return null;
    }

    public Result getExamRecordTotalInfo(String key, String token, String examRecordId) throws Exception {
        return null;
    }

    public Result getExamRecordQuestionDetailList(String key, String token, String examRecordId) throws Exception {
        return null;
    }

    public Result getExamRecordQuestionAudioPlayTimes(String key, String token, String questionId) throws Exception {
        return null;
    }

    public Result updateExamRecordQuestionAudioPlayTimes(String key, String token, String questionId, String mediaName) throws Exception {
        return null;
    }

}